Get resource runtime config

GET/v1/servers/{serverId}/runtime-config

Return the generated runtime config used by the resource SDKs and bound services.

How to call this endpoint

Every ACP API request uses bearer authentication. The examples here show the actual request path, auth header, and body shape that the platform expects.

Path, query, and header parameters

These parameters control which ACP object the endpoint acts on and how the request is processed.

Path parameters
NameLocationTypeRequiredDescription
serverIdpathstringYesResource ID
Query parameters
None.

Body schema

This endpoint does not require a request body.

None.

What the API returns

Each response code below includes the documented payload shape for the ACP API.

200Resource runtime configapplication/json
FieldTypeRequiredDescription
serverIdstringNoResource ID.
runtimeobjectNo—
runtime.versionintegerNo—
runtime.generatedAtstringNo—
runtime.platformobjectNo—
runtime.platform.apiBaseUrlstringNo—
runtime.platform.firebaseobjectNo—
runtime.platform.firebase.projectIdstringNoProject ID.
runtime.platform.firebase.apiKeystringNo—
runtime.platform.firebase.authDomainstringNo—
runtime.platform.firestoreobjectNo—
runtime.platform.firestore.projectIdstringNoProject ID.
runtime.platform.firestore.rootCollectionstringNo—
runtime.serverobjectNo—
runtime.server.idstringNoUnique identifier.
runtime.server.namestringNoHuman-readable name.
runtime.server.kindstringNo—
runtime.server.regionstringNo—
runtime.server.runtimestringNo—
runtime.server.authModestringNo—
runtime.server.serviceNamestringNo—
runtime.server.serviceUrlstringNo—
runtime.connectionsobjectNo—
runtime.connections.databaseobjectNo—
runtime.connections.database.idstringNoUnique identifier.
runtime.connections.database.namestringNoHuman-readable name.
runtime.connections.database.providerstringNo—
runtime.connections.database.projectIdstringNoProject ID.
runtime.connections.database.rootCollectionstringNo—
runtime.connections.database.namespacestringNo—
runtime.connections.database.locationstringNo—
runtime.connections.database.apiKeystringNo—
runtime.connections.database.authDomainstringNo—
runtime.connections.database.runtimeApiBaseUrlstringNo—
runtime.connections.database.controlPlaneUrlstringNo—
runtime.connections.database.sessionProtocolstringNo—
runtime.connections.database.agentIdstringNoAgent ID.
runtime.connections.database.environmentIdstringNoComputer ID.
runtime.connections.database.executionModestringNo—
runtime.connections.database.streamingEnabledbooleanNo—
runtime.connections.database.maxRuntimeSecondsintegerNo—
runtime.connections.database.endpointsobjectNo—
runtime.connections.database.skillsobjectNo—
runtime.connections.authobjectNo—
runtime.connections.auth.idstringNoUnique identifier.
runtime.connections.auth.namestringNoHuman-readable name.
runtime.connections.auth.providerstringNo—
runtime.connections.auth.projectIdstringNoProject ID.
runtime.connections.auth.rootCollectionstringNo—
runtime.connections.auth.namespacestringNo—
runtime.connections.auth.locationstringNo—
runtime.connections.auth.apiKeystringNo—
runtime.connections.auth.authDomainstringNo—
runtime.connections.auth.runtimeApiBaseUrlstringNo—
runtime.connections.auth.controlPlaneUrlstringNo—
runtime.connections.auth.sessionProtocolstringNo—
runtime.connections.auth.agentIdstringNoAgent ID.
runtime.connections.auth.environmentIdstringNoComputer ID.
runtime.connections.auth.executionModestringNo—
runtime.connections.auth.streamingEnabledbooleanNo—
runtime.connections.auth.maxRuntimeSecondsintegerNo—
runtime.connections.auth.endpointsobjectNo—
runtime.connections.auth.skillsobjectNo—
runtime.connections.agentRuntimeobjectNo—
runtime.connections.agentRuntime.idstringNoUnique identifier.
runtime.connections.agentRuntime.namestringNoHuman-readable name.
runtime.connections.agentRuntime.providerstringNo—
runtime.connections.agentRuntime.projectIdstringNoProject ID.
runtime.connections.agentRuntime.rootCollectionstringNo—
runtime.connections.agentRuntime.namespacestringNo—
runtime.connections.agentRuntime.locationstringNo—
runtime.connections.agentRuntime.apiKeystringNo—
runtime.connections.agentRuntime.authDomainstringNo—
runtime.connections.agentRuntime.runtimeApiBaseUrlstringNo—
runtime.connections.agentRuntime.controlPlaneUrlstringNo—
runtime.connections.agentRuntime.sessionProtocolstringNo—
runtime.connections.agentRuntime.agentIdstringNoAgent ID.
runtime.connections.agentRuntime.environmentIdstringNoComputer ID.
runtime.connections.agentRuntime.executionModestringNo—
runtime.connections.agentRuntime.streamingEnabledbooleanNo—
runtime.connections.agentRuntime.maxRuntimeSecondsintegerNo—
runtime.connections.agentRuntime.endpointsobjectNo—
runtime.connections.agentRuntime.skillsobjectNo—
runtime.connections.secretsobjectNo—
runtime.connections.secrets.idstringNoUnique identifier.
runtime.connections.secrets.namestringNoHuman-readable name.
runtime.connections.secrets.providerstringNo—
runtime.connections.secrets.projectIdstringNoProject ID.
runtime.connections.secrets.rootCollectionstringNo—
runtime.connections.secrets.namespacestringNo—
runtime.connections.secrets.locationstringNo—
runtime.connections.secrets.apiKeystringNo—
runtime.connections.secrets.authDomainstringNo—
runtime.connections.secrets.runtimeApiBaseUrlstringNo—
runtime.connections.secrets.controlPlaneUrlstringNo—
runtime.connections.secrets.sessionProtocolstringNo—
runtime.connections.secrets.agentIdstringNoAgent ID.
runtime.connections.secrets.environmentIdstringNoComputer ID.
runtime.connections.secrets.executionModestringNo—
runtime.connections.secrets.streamingEnabledbooleanNo—
runtime.connections.secrets.maxRuntimeSecondsintegerNo—
runtime.connections.secrets.endpointsobjectNo—
runtime.connections.secrets.skillsobjectNo—
runtime.connections.paymentsobjectNo—
runtime.connections.payments.idstringNoUnique identifier.
runtime.connections.payments.namestringNoHuman-readable name.
runtime.connections.payments.providerstringNo—
runtime.connections.payments.projectIdstringNoProject ID.
runtime.connections.payments.rootCollectionstringNo—
runtime.connections.payments.namespacestringNo—
runtime.connections.payments.locationstringNo—
runtime.connections.payments.apiKeystringNo—
runtime.connections.payments.authDomainstringNo—
runtime.connections.payments.runtimeApiBaseUrlstringNo—
runtime.connections.payments.controlPlaneUrlstringNo—
runtime.connections.payments.sessionProtocolstringNo—
runtime.connections.payments.agentIdstringNoAgent ID.
runtime.connections.payments.environmentIdstringNoComputer ID.
runtime.connections.payments.executionModestringNo—
runtime.connections.payments.streamingEnabledbooleanNo—
runtime.connections.payments.maxRuntimeSecondsintegerNo—
runtime.connections.payments.endpointsobjectNo—
runtime.connections.payments.skillsobjectNo—
Get resource runtime config
Loading...
Response 200
Loading...
See the ACP quickstart and SDK flow